<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html" charset=utf-8 />
		<title>Articolo 1</title>
		<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js" ></script>
		<script language="javascript">
			$(document).ready(function() {
				$("#tutform").submit(function() {
					var password = $("input[name='password']").val();
					$.ajax({
						type : "POST", //tipo di chiamata "GET o POST"
						url : "1action.php", //script da eseguire
						dataType : "json", //codifica dati 
						data : { //variabili POST  da passare allo script
							isajax : true, //variabile che creiamo per dire allo script che stiamo eseguendo una chiamata ajax
							password : password 
						},
						success : function(data) { //funzione che viene richiamata se lo script viene eseguito con successo
							var messaggio = data.messaggio;
							var errore = data.errore;
							var dati = data.dati;
							if(errore) {
								$("#result").css("color","red").html(messaggio);
								$(".dati").remove();
							} else {
								$(".dati").remove();
								$("#result").css("color","green").html(messaggio);
								var values = "";
								$.each(dati, function(index, value){
									values += '<div class="dati">'+value+'</div>'
								});
								$(values).insertAfter("#input");
								values = "";
							}
						}
					})
				})
			})
		</script>
		<style>
			* {
				margin: 0;
				padding: 0;
			}

			#container {
				width: 300px;
				margin: 20px auto;
			}

			#input {
				width: 300px;
				margin-bottom: 10px;
				float: left;
			}

			#result {
				width: 290px;
				font-family: arial;
				color: #7d7d7d;
				padding: 0px 5px;
				margin-bottom: 10px;
				float: left;
			}

			.dati {
				width: 288px;
				height: 30px;
				line-height: 30px;
				padding: 0px 5px;
				border: 1px solid #b0b0b0;
				color: #7d7d7d;
				font-size: 16px;
				float: left;
			}

			input {
				width: 300px;
				height: 30px;
				padding: 0px 5px;
				border: 1px solid #b0b0b0;
			}

			input[type='submit'] {
				width: 100px;
				height: 30px;
				background: #f5f5f5;
				margin-top: 5px;
				float: right;
			}
		</style>
	</head>
	<body>
		<div id="container">
			<div id="result">Inserisci la password</div>
			<div id="input">
				<form method="post" action="javascript:void(0)" id="tutform">
					<input type="password" value="" placeholder="Password..." name="password"/>
					<input type="submit" value="Invia" />
				</form>
			</div>
		</div>
	</body>
</html>